IPSW-IMG4-IM4M-EXTRACT(1)

NAME
ipsw-img4-im4m-extract - Extract IM4M manifest from SHSH blob

SYNOPSIS
ipsw img4 im4m extract [flags]

DESCRIPTION
Extract IM4M manifest from SHSH blob

OPTIONS
-h, --help[=false]
    help for extract

-n, --no-nonce[=false]
    Extract no-nonce Image4 manifest (if available)

-o, --output=""
    Output file path

-u, --update[=false]
    Extract update Image4 manifest (if available)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Extract IM4M from SHSH blob
    ❯ ipsw img4 im4m extract shsh.blob
    # Extract update manifest (if available)
    ❯ ipsw img4 im4m extract --update shsh.blob
    # Extract no-nonce manifest (if available)
    ❯ ipsw img4 im4m extract --no-nonce shsh.blob
    # Extract to specific output file
    ❯ ipsw img4 im4m extract --output custom.im4m shsh.blob

SEE ALSO
ipsw-img4-im4m(1)

HISTORY
14-Sep-2025 Auto generated by spf13/cobra